import {IContainer} from "./IContainer";
import {IIngredient} from "./IIngredient";
import {HCSR04} from "hc-sr04";

export abstract class AbstractContainer implements IContainer {
    slot: number = 1;
    content: IIngredient | undefined;
    sensorEcho: number = 26;
    sensorFilledMax: number = 0;
    sensorFilledMin: number = 0;
    sensorTrigger: number = 27;
    volume: number = 1000;
    sensor: HCSR04;

    protected constructor() {
        this.sensor = new HCSR04(this.sensorTrigger, this.sensorEcho);
    }

    public measure() : Number {
        let dist = this.sensor.distance();
        return dist * 100 / (this.sensorFilledMax + this.sensorFilledMin);
    }



}