import {WebSocketHandler} from "./WebSocketHandler";
import {Modal} from "./Modal";

const main = document.getElementById("main");
const time = document.getElementById("title");

document.addEventListener("DOMContentLoaded", () => {
   console.log("DOM Loaded");

   let modal = new Modal("start", "iTender");
   modal.content = "Willkommen";
   modal.loader = true;
   modal.open();
   connect();

   setTimeout( load, 1000);
});

function load()
{
   if(!main||!time)
      return;

   setInterval( () => {
      let currentDate = new Date();
      time.innerText = "" + ( currentDate.getHours() < 10 ? "0" + currentDate.getHours() : currentDate.getHours() ) + ":" + ( currentDate.getMinutes() < 10 ? "0" + currentDate.getMinutes() : currentDate.getMinutes() );
   }, 1000 );

   let maxI = 20;

   main.style.gridTemplateRows = `repeat(${Math.round(maxI/3)}, calc(90%/2))`;


   for( let i = 0; i<maxI; i++ )
   {
      let testDrink = document.createElement("div");
      testDrink.classList.add("drink");

      let img = document.createElement("img");
      img.classList.add("thumbnail");
      testDrink.append(img);

      let name = document.createElement("p");
      name.classList.add("name");
      testDrink.append(name);

      img.alt="Thumbnail";
      name.innerText = "Mixery"

      main.append(testDrink);
   }
}

let wsHandler;
function connect()
{
   wsHandler = new WebSocketHandler();

}
